<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Frontend App</title>
  </head>
  <body>
    <h1>Dariel Vasquez</h1>
    <form id="message-form">
      <label for="message">Enter Message:</label>
      <input type="text" id="message" name="message" required />
      <button type="submit">Send</button>
    </form>

    <script>
      document
        .getElementById("message-form")
        .addEventListener("submit", function (event) {
          event.preventDefault();
          const message = document.getElementById("message").value;
          fetch(
            "https://darielvasquez-server.acklenavenueclient.com/api/message",
            {
              method: "POST",
              headers: {
                "Content-Type": "application/json",
              },
              body: JSON.stringify({ message: message }),
            }
          )
            .then((response) => response.json())
            .then((data) => {
              if (data.success) {
                // Success message
                console.log("Response from backend:", data);
                alert("Message sent successfully!");
              } else {
                // Error message
                console.error("Error:", data.error);
                alert("Message failed to send. Please try again.");
              }
            })
            .catch((error) => {
              console.error("Error:", error);
            });
        });
    </script>
  </body>
</html>
